﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;

namespace App9
{
    [Activity(Label = "App9", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        ViewModel viewModel;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            viewModel = new ViewModel();
            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            SfDataGrid grid = FindViewById<SfDataGrid>(Resource.Id.main);
            grid.ItemsSource = viewModel.Info;
        }
    }
}

